Skip site navigation (1) Skip section navigation (2)

BUG #5735: pg_upgrade thinks that it did not start the old server

From: "Arturas Mazeika" <mazeika(at)gmail(dot)com>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #5735: pg_upgrade thinks that it did not start the old server
Date: 2010-10-30 14:29:13
Message-ID: 201010301429.o9UETDop059721@wwwmaster.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      5735
Logged by:          Arturas Mazeika
Email address:      mazeika(at)gmail(dot)com
PostgreSQL version: 9.0
Operating system:   Windows Server 2003
Description:        pg_upgrade thinks that it did not start the old server
Details: 

1. I am trying to migrate from Postgres 8.3 to 9.0.
2. I have installed both systems on Windows Server 2003.
3. I have stopped services of both 8.3 and 9.0. 
4. I became postgres user with runas
5. I have started the pg_upgrade command and got an error:

c:\windows\system32>pg_upgrade.exe --old-datadir "I:\PostgreSQL\8.3\data"
--new-
datadir "I:\PostgreSQL\9.0" --old-bindir "C:\Program Files
(x86)\PostgreSQL\8.3\
bin" --new-bindir "C:\Program Files\PostgreSQL\9.0\bin" -l "c:\temp\log"
Performing Consistency Checks
-----------------------------
Checking old data directory (I:\PostgreSQL\8.3\data)        ok
Checking old bin directory (C:\Program Files (x86)\PostgreSQL\8.3\bin)ok
Checking new data directory (I:\PostgreSQL\9.0)             ok
Checking new bin directory (C:\Program Files\PostgreSQL\9.0\bin)ok
mapped win32 error code 2 to 2Trying to start old server
          .................ok

 Unable to start old postmaster with the command: ""C:\Program Files
(x86)\Postg
reSQL\8.3\bin/pg_ctl" -l "nul" -D "I:\PostgreSQL\8.3\data" -o "-p 5432 -c
autova
cuum=off -c autovacuum_freeze_max_age=2000000000" start >> "nul" 2>&1"
Perhaps pg_hba.conf was not set to "trust".
c:\windows\system32>

The command starts the server (I can see that through process explorer, I
can connect to the DB too after I get the error)

6. pg_hba.conf has a line:
local   all         all                               trust

This seems to be a bug, doesn't it? Did I misconfigure anything?

Responses

pgsql-bugs by date

Next:From: Tom LaneDate: 2010-10-30 16:07:43
Subject: Re: BUG #5734: autovacuum_enabled input should be validated, standardized.
Previous:From: Mark StosbergDate: 2010-10-30 14:04:11
Subject: BUG #5734: autovacuum_enabled input should be validated, standardized.

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group